%define name    freebirth
%define version 0.3.2
%define release 5mdk

Summary: Bass synth/sequencer/sample player for linux
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
URL: http://www.bitmechanic.com/projects/freebirth/
License: GPL 
Group: Sound
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
Freebirth is a free software bass synthesizer/step sequencer/sample player
for the Linux operating system. It consists of a bass synthesizer, vaguely
303ish, with three oscillators (saw, sin, sqr), phase offsets for each
oscillator, separate filter and amplitude envelopes, separate tuning for
each oscillator, and two effects busses (reverb and delay).

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}-%{version}

%build
# quick patch for samples in /usr/share/freebirth
perl -pi -e "s|FB_SAMPLES \".\"|FB_SAMPLES \"/usr/share/freebirth\"||g;" \
  raw_wave.h

# actual make
#make all
%make


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/freebirth/raw/
install -m 755 freebirth $RPM_BUILD_ROOT%{_bindir}
install -m 755 wav_to_raw $RPM_BUILD_ROOT%{_bindir}
install -m 644 raw/*.raw $RPM_BUILD_ROOT%{_datadir}/freebirth/raw/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES COPYING INSTALL NEXT_VERSION README
%{_bindir}/*
%dir %{_datadir}/freebirth/
%dir %{_datadir}/freebirth/raw
%{_datadir}/freebirth/raw/*

%changelog
* Mon Jul 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-5mdk
- rebuild

* Tue Jan 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-4mdk
- rebuild

* Tue Aug 31 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-3mdk
- BM
- Macros

* Fri Jul 14 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com> 0.3.2-2mdk
  - v0.3.2-2mdk
  - relocated raw files

* Fri Jul 14 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - v0.3.2-1mdk (initial packaging)
